Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMSimpleContent

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.SOMSimpleContent

Direct Known Subclasses:
  SOMComplexContent

public class SOMSimpleContent
extends SOMObject

<simpleContent> Alternative content for complexType's. simpleContent elements must have either a restriction or an extension for a sub-element.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `SOMComplexType`, Serialized Form

Constructor Summary
`protected` | `SOMSimpleContent(org.xml.sax.Attributes attrs, SOMObject parent)` constructor for use with SAX parser, loading SOM from a file.
`` | `SOMSimpleContent(SOMExtension extension)`
`` | `SOMSimpleContent(SOMRestriction restriction)`

Method Summary
`SOMExtension` | `add(SOMExtension extension)` add an <extension> or <restriction>.
`SOMAnnotation` | `addAnnotation(SOMAnnotation annotation)` add an annotation.
`SOMAttribute` | `addAttribute(SOMAttribute attribute)` utility for adding attributes to child, restriction or extension.
`protected SOMObject` | `addChild(java.lang.String tagName, org.xml.sax.Attributes attrs)`
`boolean` | `contains(SOMObject child)` Determine if an object is child of this element.
`void` | `createDefault(DefaultDocumentOptions options, org.w3c.dom.Element current)` Not implemented.
`java.util.Map` | `getAttributes(boolean getAll)` retrieve the attributes for this schema element.
`SOMExtension` | `getExtension()`
`java.lang.String` | `getID()`
`SOMRestriction` | `getRestriction()`
`SOMAnnotation` | `removeAnnotation()` set the annotation at this content type to null.
`void` | `toXML(java.io.Writer rtn, int indent)`
`protected void` | `validate(org.w3c.dom.Node element, java.util.List errorList)`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMSimpleContent

    public SOMSimpleContent(SOMRestriction restriction)

### SOMSimpleContent

    public SOMSimpleContent(SOMExtension extension)

### SOMSimpleContent

    protected SOMSimpleContent(org.xml.sax.Attributes attrs,
                               SOMObject parent)

  constructor for use with SAX parser, loading SOM from a file.

  Parameters:
    `attrs` -

Method Detail

### addChild

    protected SOMObject addChild(java.lang.String tagName,
                                 org.xml.sax.Attributes attrs)
                          throws org.xml.sax.SAXException

  Overrides:
    addChild in class SOMObject

### getID

    public java.lang.String getID()

  Overrides:
    getID in class SOMObject

### getAttributes

    public java.util.Map getAttributes(boolean getAll)

  retrieve the attributes for this schema element. If getAll is false, only the attributes that are not set to their default value are returned. If getAll is true, all possible attributes for this element will be returned.

  Parameters:
    `getAll` - get all attributes
  Returns:
    a Hashtable of attributes, where the attribute name and value are stored as strings.

### addAttribute

    public SOMAttribute addAttribute(SOMAttribute attribute)

  utility for adding attributes to child, restriction or extension. A previously created restriction or extension must be added prior to calling this method.

  Same as getExtenstion().addAttribute(attribute)

  Parameters:
    `attribute` - attribute to be added
  Returns:
    attribute added

### add

    public SOMExtension add(SOMExtension extension)

  add an <extension> or <restriction>.

  Parameters:
    `extension` - extension to add, ignored if null
  Returns:
    extension element added

### getRestriction

    public SOMRestriction getRestriction()

### getExtension

    public SOMExtension getExtension()

### addAnnotation

    public SOMAnnotation addAnnotation(SOMAnnotation annotation)

  add an annotation. If the annotation exists in another tree, it will first be removed and then added to this tree.

  Parameters:
    `annotation` - a previously created annotation
  Returns:
    the annotation that was added.

### removeAnnotation

    public SOMAnnotation removeAnnotation()

  set the annotation at this content type to null.

  Returns:
    the removed annotation, or null if none was present

### contains

    public boolean contains(SOMObject child)

  Determine if an object is child of this element.

  Parameters:
    `child` - the object in question
  Returns:
    true if the child is contained within this structure

### toXML

    public void toXML(java.io.Writer rtn,
                      int indent)
               throws java.io.IOException

  Overrides:
    toXML in class SOMObject

### validate

    protected void validate(org.w3c.dom.Node element,
                            java.util.List errorList)

### createDefault

    public void createDefault(DefaultDocumentOptions options,
                              org.w3c.dom.Element current)

  Not implemented.

  Parameters:
    `options` -
    `current` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)